ros-noetic-roslaunch (1.17.4-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 19 May 2025 00:00:00 -0000

ros-noetic-roslaunch (1.17.3-1focal) focal; urgency=high

  * Fixes for Python 3.12 (#2388 <https://github.com/ros/ros_comm/pull/2388>)
  * Contributors: Matthias Klose

 -- Michael Carroll <michael@openrobotics.org>  Fri, 09 May 2025 00:00:00 -0000

ros-noetic-roslaunch (1.17.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 02 May 2025 00:00:00 -0000

ros-noetic-roslaunch (1.17.1-1focal) focal; urgency=high

  * [roslaunch] raise ArgException in _arg_tag to avoid unexpected error in roslaunch.config.load_config_default (#2371 <https://github.com/ros/ros_comm/issues/2371>)
  * Contributors: Shingo Kitagawa

 -- Michael Carroll <michael@openrobotics.org>  Sat, 26 Apr 2025 00:00:00 -0000

ros-noetic-roslaunch (1.17.0-1focal) focal; urgency=high

  * Check if ignore_unset_args is set in xmlloader (#2217 <https://github.com/ros/ros_comm/issues/2217>)
  * Remove Python 2 on Windows workaround (#2364 <https://github.com/ros/ros_comm/issues/2364>)
  * Contributors: Griffin Tabor, Shingo Kitagawa

 -- Michael Carroll <michael@openrobotics.org>  Fri, 13 Sep 2024 00:00:00 -0000

ros-noetic-roslaunch (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 00:00:00 -0000

ros-noetic-roslaunch (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Fix $(dirname) resolution in include tags (#2173 <https://github.com/ros/ros_comm/issues/2173>)
  * Contributors: Robert Haschke, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 00:00:00 -0000

ros-noetic-roslaunch (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 00:00:00 -0000

ros-noetic-roslaunch (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 00:00:00 -0000

ros-noetic-roslaunch (1.15.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 00:00:00 -0000

ros-noetic-roslaunch (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-noetic-roslaunch (1.15.10-1focal) focal; urgency=high

  * Fix AttributeError isAlive (#2092 <https://github.com/ros/ros_comm/issues/2092>)
  * Contributors: Brutus The Tschiepel

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-roslaunch (1.15.9-1focal) focal; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix handling of single quotes in command arguments on Windows (#2051 <https://github.com/ros/ros_comm/issues/2051>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Clearer error message (#2035 <https://github.com/ros/ros_comm/issues/2035>)
  * Ignore underscores when parsing literal numeric values for Python 3 compatibility (#2022 <https://github.com/ros/ros_comm/issues/2022>)
  * Contributors: Andreas Vinter-Hviid, Jochen Sprickerhof, Sean Yen, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.8-1focal) focal; urgency=high

  * fix bad relative import (still Python 2 style) (#1973 <https://github.com/ros/ros_comm/issues/1973>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.7-1focal) focal; urgency=high

  * fix NameError in launch error handling (#1965 <https://github.com/ros/ros_comm/issues/1965>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.5-1focal) focal; urgency=high

  * add --sigint-timeout and --sigterm-timeout parameters (#1937 <https://github.com/ros/ros_comm/issues/1937>)
  * roslaunch-check: search dir recursively (#1914 <https://github.com/ros/ros_comm/issues/1914>)
  * sort printed nodes by namespace alphabetically (#1934 <https://github.com/ros/ros_comm/issues/1934>)
  * remove pycrypto import (not used) (#1922 <https://github.com/ros/ros_comm/issues/1922>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.1-1focal) focal; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-roslaunch (1.15.0-1focal) focal; urgency=high

  * update test to pass with old and new yaml (#1893 <https://github.com/ros/ros_comm/issues/1893>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 00:00:00 -0000

ros-noetic-roslaunch (1.14.4-1focal) focal; urgency=high

  * allow empty machine arg in node tag (#1885 <https://github.com/ros/ros_comm/issues/1885>)
  * use double quotes for portable roslaunch-check command (#1883 <https://github.com/ros/ros_comm/issues/1883>)
  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * wrap env prefix with double quotes (#1810 <https://github.com/ros/ros_comm/issues/1810>)
  * add ignore default args option to roslaunch-check (#1788 <https://github.com/ros/ros_comm/issues/1788>)
  * add platform check for --args code path (#1809 <https://github.com/ros/ros_comm/issues/1809>)
  * [Windows] workaround for Python 2 xmlrpc performance issues (#1872 <https://github.com/ros/ros_comm/issues/1872>)
  * allow empty ssh password for remote launching (#1826 <https://github.com/ros/ros_comm/issues/1826>)
  * [Windows] escape drive as well as path separator (#1815 <https://github.com/ros/ros_comm/issues/1815>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * [Windows] skip cat related test cases on Windows build (#1724 <https://github.com/ros/ros_comm/issues/1724>)
  * [Windows] use taskkill to kill process tree (#1725 <https://github.com/ros/ros_comm/issues/1725>)
  * pass missing args (#1733 <https://github.com/ros/ros_comm/issues/1733>)
  * fix for roslaunch-check on Python 3
  * roslaunch added --required option (#1681 <https://github.com/ros/ros_comm/issues/1681>)
  * more Python 3 compatibility (#1783 <https://github.com/ros/ros_comm/issues/1783>)
  * more Python 3 compatibility (#1782 <https://github.com/ros/ros_comm/issues/1782>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * fix $(dirname) for roslaunch-check (#1624 <https://github.com/ros/ros_comm/issues/1624>)
  * change how commands are executed (#1628 <https://github.com/ros/ros_comm/issues/1628>)
  * add option to hide summary from roslaunch output (#1655 <https://github.com/ros/ros_comm/issues/1655>)
  * make roslaunch-check respect arg remappings with command line argument (#1653 <https://github.com/ros/ros_comm/issues/1653>)
  * add POSIX flag for shlex.split() (#1619 <https://github.com/ros/ros_comm/issues/1619>)
  * respawn if process died while checking should_respawn() (#1590 <https://github.com/ros/ros_comm/issues/1590>)
  * add python prefix for python scripts when there is no .py extension (#1589 <https://github.com/ros/ros_comm/issues/1589>)
  * xmlloader: use continue instead of pass for args_only (#1540 <https://github.com/ros/ros_comm/issues/1540>)
  * fix various test problems (#1601 <https://github.com/ros/ros_comm/issues/1601>)
  * normalize strings to utf-8 before setting as environment variable (#1593 <https://github.com/ros/ros_comm/issues/1593>)
  * fix typos: awhile -> a while (#1534 <https://github.com/ros/ros_comm/issues/1534>)
  * add more useful helper text here to indicate that this might be a permission error (#1568 <https://github.com/ros/ros_comm/issues/1568>)
  * exclude unused args check if pass_all_args is set (#1520 <https://github.com/ros/ros_comm/issues/1520>)
  * add an option in XmlLoader to only load arg tags (#1521 <https://github.com/ros/ros_comm/issues/1521>)
  * update wiki.ros.org URLs (#1536 <https://github.com/ros/ros_comm/issues/1536>)
  * improve exception handling when resource is not found (#1476 <https://github.com/ros/ros_comm/issues/1476>)
  * fix issues when built or run on Windows (#1466 <https://github.com/ros/ros_comm/issues/1466>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 00:00:00 -0000

ros-noetic-roslaunch (1.14.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 00:00:00 -0000

ros-noetic-roslaunch (1.14.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 00:00:00 -0000

ros-noetic-roslaunch (1.14.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-roslaunch (1.14.0-1focal) focal; urgency=high

  * fix "pass_all_args" for roslaunch-check, add nosetest (#1368 <https://github.com/ros/ros_comm/issues/1368>)
  * add --log option to roslaunch (#1330 <https://github.com/ros/ros_comm/issues/1330>)
  * add substitution when loading yaml files (#1354 <https://github.com/ros/ros_comm/issues/1354>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 00:00:00 -0000

ros-noetic-roslaunch (1.13.6-1focal) focal; urgency=high

  * add process listeners to XML RPC server (#1319 <https://github.com/ros/ros_comm/issues/1319>)
  * pass through command-line args to the xmlloader when using the API (#1115 <https://github.com/ros/ros_comm/issues/1115>)
  * make master process explicitly 'required' for parent launch (#1228 <https://github.com/ros/ros_comm/issues/1228>)
  * remove unreachable exceptions (#1260 <https://github.com/ros/ros_comm/issues/1260>)
  * replace Thread.setDaemon() using new API (#1276 <https://github.com/ros/ros_comm/issues/1276>)
  * use roslaunch.core.printerrlog for printing error message (#1193 <https://github.com/ros/ros_comm/issues/1193>, #1317 <https://github.com/ros/ros_comm/issues/1317>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 00:00:00 -0000

ros-noetic-roslaunch (1.13.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 00:00:00 -0000

ros-noetic-roslaunch (1.13.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 00:00:00 -0000

ros-noetic-roslaunch (1.13.3-1focal) focal; urgency=high

  * add --set-master-logger-level option for 'rosmaster' to output LOG_API (#1180 <https://github.com/ros/ros_comm/issues/1180>)
  * use defined error codes rather than hardcoded integers (#1174 <https://github.com/ros/ros_comm/issues/1174>, #1181 <https://github.com/ros/ros_comm/issues/1181>)
  * fix parameter leaking into sibling scopes (#1158 <https://github.com/ros/ros_comm/issues/1158>)
  * avoid full stack trace for ResourceNotFound (#1147 <https://github.com/ros/ros_comm/issues/1147>)
  * remove mention of rosmake from error message (#1140 <https://github.com/ros/ros_comm/issues/1140>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-noetic-roslaunch (1.13.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 00:00:00 -0000

ros-noetic-roslaunch (1.13.1-1focal) focal; urgency=high

  * add $(dirname) to get directory of current launch file (#1103 <https://github.com/ros/ros_comm/pull/1103>)
  * clean the namespace to get rid of double or trailing forward slashes (#1100 <https://github.com/ros/ros_comm/issues/1100>)
  * only launch core nodes if master was launched by roslaunch (#1098 <https://github.com/ros/ros_comm/pull/1098>)
  * ensure pid file is removed on exit (#1057 <https://github.com/ros/ros_comm/pull/1057>, #1084 <https://github.com/ros/ros_comm/pull/1084>)
  * add yaml type for param tag (#1045 <https://github.com/ros/ros_comm/issues/1045>)
  * ensure cwd exists (#1031 <https://github.com/ros/ros_comm/pull/1031>)
  * respect if/unless for roslaunch-check (#998 <https://github.com/ros/ros_comm/pull/998>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-roslaunch (1.13.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 00:00:00 -0000

ros-noetic-roslaunch (1.12.7-1focal) focal; urgency=high

  * improve error message for invalid tags (#989 <https://github.com/ros/ros_comm/pull/989>)
  * fix caching logic to improve performance (#931 <https://github.com/ros/ros_comm/pull/931>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 00:00:00 -0000

ros-noetic-roslaunch (1.12.6-1focal) focal; urgency=high

  * add USE_TEST_DEPENDENCIES option to roslaunch_add_file_check() (#910 <https://github.com/ros/ros_comm/pull/910>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 00:00:00 -0000

ros-noetic-roslaunch (1.12.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 00:00:00 -0000

ros-noetic-roslaunch (1.12.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 00:00:00 -0000

ros-noetic-roslaunch (1.12.3-1focal) focal; urgency=high

  * better naming for roslaunch check test results (#897 <https://github.com/ros/ros_comm/pull/897>)
  * support use_test_depends option for roslaunch-check (#887 <https://github.com/ros/ros_comm/pull/887>)
  * allow empty include (#882 <https://github.com/ros/ros_comm/pull/882>)
  * fix param command for Python 3 (#840 <https://github.com/ros/ros_comm/pull/840>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 00:00:00 -0000

ros-noetic-roslaunch (1.12.2-1focal) focal; urgency=high

  * support registering the same test multiple times with different arguments (#814 <https://github.com/ros/ros_comm/pull/814>)
  * fix passing multiple args to roslaunch_add_file_check (#814 <https://github.com/ros/ros_comm/pull/814>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 00:00:00 -0000

ros-noetic-roslaunch (1.12.1-1focal) focal; urgency=high

  * add support for Python expressions (#784 <https://github.com/ros/ros_comm/pull/784>, #793 <https://github.com/ros/ros_comm/pull/793>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 00:00:00 -0000

ros-noetic-roslaunch (1.12.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 00:00:00 -0000

ros-noetic-roslaunch (1.11.18-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 00:00:00 -0000

ros-noetic-roslaunch (1.11.17-1focal) focal; urgency=high

  * improve roslaunch-check to not fail if recursive dependencies lack dependencies (#730 <https://github.com/ros/ros_comm/pull/730>)
  * add "pass_all_args" attribute to roslaunch "include" tag (#710 <https://github.com/ros/ros_comm/pull/710>)
  * fix a typo in unknown host error message (#735 <https://github.com/ros/ros_comm/pull/735>)
  * wait for param server to be available before trying to get param (#711 <https://github.com/ros/ros_comm/pull/711>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 00:00:00 -0000

ros-noetic-roslaunch (1.11.16-1focal) focal; urgency=high

  * add -w and -t options (#687 <https://github.com/ros/ros_comm/pull/687>)
  * fix missing minimum version for rospkg dependency (#693 <https://github.com/ros/ros_comm/issues/693>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 00:00:00 -0000

ros-noetic-roslaunch (1.11.15-1focal) focal; urgency=high

  * improve performance by reusing the rospack instance across nodes with the same default environment (#682 <https://github.com/ros/ros_comm/pull/682>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-noetic-roslaunch (1.11.14-1focal) focal; urgency=high

  * add more information when test times out

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-noetic-roslaunch (1.11.13-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 00:00:00 -0000

ros-noetic-roslaunch (1.11.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 00:00:00 -0000

ros-noetic-roslaunch (1.11.11-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 00:00:00 -0000

ros-noetic-roslaunch (1.11.10-1focal) focal; urgency=high

  * fix exception at roscore startup if python has IPv6 disabled (#515 <https://github.com/ros/ros_comm/issues/515>)
  * fix error handling (#516 <https://github.com/ros/ros_comm/pull/516>)
  * fix compatibility with paramiko 1.10.0 (#498 <https://github.com/ros/ros_comm/pull/498>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.9-1focal) focal; urgency=high

  * fix usage of logger before it is initialized (#490 <https://github.com/ros/ros_comm/issues/490>) (regression from 1.11.6)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.8-1focal) focal; urgency=high

  * remove implicit rostest dependency and use rosunit instead (#475 <https://github.com/ros/ros_comm/issues/475>)
  * accept stdin input alongside files (#472 <https://github.com/ros/ros_comm/issues/472>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.7-1focal) focal; urgency=high

  * fix the ROS_MASTER_URI environment variable logic on Windows (#2 <https://github.com/windows/ros_comm/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.6-1focal) focal; urgency=high

  * fix printing of non-ascii roslaunch parameters (#454 <https://github.com/ros/ros_comm/issues/454>)
  * add respawn_delay attribute to node tag in roslaunch (#446 <https://github.com/ros/ros_comm/issues/446>)
  * write traceback for exceptions in roslaunch to log file

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.4-1focal) focal; urgency=high

  * fix handling of if/unless attributes on args (#437 <https://github.com/ros/ros_comm/issues/437>)
  * improve parameter printing in roslaunch (#89 <https://github.com/ros/ros_comm/issues/89>)
  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #427 <https://github.com/ros/ros_comm/issues/427>, #429 <https://github.com/ros/ros_comm/issues/429>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.1-1focal) focal; urgency=high

  * fix roslaunch anonymous function to generate the same output for the same input (#297 <https://github.com/ros/ros_comm/issues/297>)
  * add doc attribute to roslaunch arg tags (#379 <https://github.com/ros/ros_comm/issues/379>)
  * print parameter values in roslaunch (#89 <https://github.com/ros/ros_comm/issues/89>)
  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-noetic-roslaunch (1.11.0-1focal) focal; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-noetic-roslaunch (1.10.0-1focal) focal; urgency=high

  * add optional DEPENDENCIES argument to roslaunch_add_file_check()
  * add explicit run dependency (#347 <https://github.com/ros/ros_comm/issues/347>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 00:00:00 -0000

ros-noetic-roslaunch (1.9.54-1focal) focal; urgency=high

  * add missing run/test dependencies on rosbuild to get ROS_ROOT environment variable

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 00:00:00 -0000

ros-noetic-roslaunch (1.9.53-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 00:00:00 -0000

ros-noetic-roslaunch (1.9.52-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-noetic-roslaunch (1.9.51-1focal) focal; urgency=high

  * fix roslaunch-check for unreleased wet dependencies (#332 <https://github.com/ros/ros_comm/issues/332>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 00:00:00 -0000

ros-noetic-roslaunch (1.9.50-1focal) focal; urgency=high

  * add option to disable terminal title setting
  * fix roslaunch-check to handle more complex launch files

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.49-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.48-1focal) focal; urgency=high

  * update roslaunch to support ROS_NAMESPACE (#58 <https://github.com/ros/ros_comm/issues/58>)
  * make roslaunch relocatable (ros/catkin#490 <https://github.com/ros/catkin/issues/490>)
  * change roslaunch resolve order (#256 <https://github.com/ros/ros_comm/issues/256>)
  * fix roslaunch check script in install space (#257 <https://github.com/ros/ros_comm/issues/257>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.47-1focal) focal; urgency=high

  * improve roslaunch completion to include launch file arguments (#230 <https://github.com/ros/ros_comm/issues/230>)
  * check for CATKIN_ENABLE_TESTING to enable configure without tests

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.46-1focal) focal; urgency=high

  * add CMake function roslaunch_add_file_check() (#241 <https://github.com/ros/ros_comm/issues/241>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.45-1focal) focal; urgency=high

  * modified roslaunch $(find PKG) to consider path behind it for resolve strategy (#233 <https://github.com/ros/ros_comm/pull/233>)
  * add boolean attribute 'subst_value' to rosparam tag in launch files (#218 <https://github.com/ros/ros_comm/issues/218>)
  * add command line parameter to print out launch args
  * fix missing import in arg_dump.py

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.44-1focal) focal; urgency=high

  * fix 'roslaunch --files' with non-unique anononymous ids (#186 <https://github.com/ros/ros_comm/issues/186>)
  * fix ROS_MASTER_URI for Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.43-1focal) focal; urgency=high

  * implement process killer for Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.42-1focal) focal; urgency=high

  * add option --skip-log-check (#133 <https://github.com/ros/ros_comm/issues/133>)
  * update API doc to list raised exceptions in config.py
  * fix invocation of Python scripts under Windows (#54 <https://github.com/ros/ros_comm/issues/54>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.41-1focal) focal; urgency=high

  * improve performance of $(find ...)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.40-1focal) focal; urgency=high

  * fix 'roslaunch --pid=' when pointing to ROS_HOME but folder does not exist (#43 <https://github.com/ros/ros_comm/issues/43>)
  * fix 'roslaunch --pid=' to use shell expansion for the pid value (#44 <https://github.com/ros/ros_comm/issues/44>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-noetic-roslaunch (1.9.39-1focal) focal; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 00:00:00 -0000


